#
# This file is part of GNU Enterprise.
#
# GNU Enterprise is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either
# version 2, or (at your option) any later version.
#
# GNU Enterprise is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with program; see the file COPYING. If not,
# write to the Free Software Foundation, Inc., 59 Temple Place
# - Suite 330, Boston, MA 02111-1307, USA.
#
# Copyright 2000-2007 Free Software Foundation
#
# FILE:
# uidrivers/html/widgets/box.py
#
# DESCRIPTION:
#
# NOTES:
#

from gnue.forms.uidrivers.html.widgets._base import UIHelper, HtmlWidget
from gnue.forms.uidrivers.html.Generator import build_box
from gnue.forms.uidrivers.html.common import getNextId


class UIBox(UIHelper):

    def _create_widget(self, event, spacer):

        object = event.object
        id = getNextId()
        dhtml = build_box(id, object.label, \
                          object.Char__x*event.widgetWidth, self.itemY,\
                          self.itemWidth, self.itemHeight)
        
        newWidget = HtmlWidget(event.container, self._uiDriver, 'BOX', dhtml, id)

        return newWidget


#
# Configuration data
#
configuration = {
    'baseClass'  : UIBox,
    'provides'   : 'GFBox',
    'container'  : 0,
    }
